Upgrading Pgpool-II and Extensions v1.0

Edit this page

The following section outlines the Pgpool and Pgpool extensions upgrade process.

Upgrading Pgpool-II

The following section outlines the Pgpool-II minor version upgrade process (for example, to upgrade from 3.7.13 to 3.7.14):

Assume the identity of the root user and invoke the following command:

On RHEL/CentOS 7:

yum upgrade edb-pgpool<xx>

where <xx> is the Pgpool version you want to upgrade. For example, to upgrade from Pgpool 3.7.13 to 3.7.14, execute the following command:

yum upgrade edb-pgpool37

On RHEL/CentOS 8:

dnf upgrade edb-pgpool<xx>

On Debian/Ubuntu:

apt-get upgrade edb-pgpool<xx>

On SLES 12:

zypper upgrade edb-pgpool<xx>

Upgrading Pgpool-II Extensions

The following section outlines the Pgpool-II extensions upgrade process.

To upgrade from older versions of Pgpool extensions to the latest version, assume superuser privileges and execute the following command:

On RHEL/CentOS 7:

yum upgrade edb-as<xx>-pgpool<yy>-extensions

Where <xx> is the EDB Postgres Advanced Server version, and <yy> is the Pgpool extension version.

Note

Only minor version upgrade is supported (for example, you can upgrade from 3.6.20 to 3.6.21 extension, but not 3.7.14).

On RHEL/CentOS 8:

dnf upgrade edb-as<xx>-pgpool<yy>-extensions

On Debian/Ubuntu:

apt-get upgrade edb-as<xx>-pgpool<yy>-extensions

On SLES 12:

zypper upgrade edb-as<xx>-pgpool<yy>-extensions